var _a;
import { f as __name, g as createDefaultSharedCoreModule, h as createDefaultCoreModule, i as CommonValueConverter, m as inject, o as InfoGrammarGeneratedModule, p as EmptyFileSystem, s as MermaidGeneratedSharedModule, t as AbstractMermaidTokenBuilder } from "./chunk-TCCFYFTB-d3HOqL2I.js";
var InfoTokenBuilder = (_a = class extends AbstractMermaidTokenBuilder {
  constructor() {
    super(["info", "showInfo"]);
  }
}, __name(_a, "InfoTokenBuilder"), _a), InfoModule = { parser: {
  TokenBuilder: /* @__PURE__ */ __name(() => new InfoTokenBuilder(), "TokenBuilder"),
  ValueConverter: /* @__PURE__ */ __name(() => new CommonValueConverter(), "ValueConverter")
} };
function createInfoServices(e = EmptyFileSystem) {
  let u = inject(createDefaultSharedCoreModule(e), MermaidGeneratedSharedModule), d = inject(createDefaultCoreModule({ shared: u }), InfoGrammarGeneratedModule, InfoModule);
  return u.ServiceRegistry.register(d), {
    shared: u,
    Info: d
  };
}
__name(createInfoServices, "createInfoServices");
export {
  createInfoServices as n,
  InfoModule as t
};
